Invarn Docs

Roles and channels, for pickers.

GET/api/v1/servers/{guild}/structure

Authorization

session
invarn_session<token>

In: cookie

Path Parameters

guild*string

A Discord ID (or one of Invarn's, which look the same).

Match^[0-9]+$

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/servers/string/structure"
{  "roles": [    {      "id": "string",      "name": "string",      "color": 0,      "position": 0,      "managed": true,      "permissions": [        "string"      ]    }  ],  "channels": [    {      "id": "string",      "name": "string",      "kind": "text",      "parent": "string",      "position": 0,      "tags": [        {          "id": "string",          "name": "string",          "emoji": "string",          "moderated": true        }      ]    }  ],  "botTop": 0}